(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/MyWV.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'd6ba43GB7xNaY92S5TRUyX8', 'MyWV', __filename);
// Script/MyWV.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var MyWV = /** @class */ (function (_super) {
    __extends(MyWV, _super);
    function MyWV() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.wv = null;
        _this.msg = null;
        _this.webHost = "http://10.0.0.12:8080/";
        return _this;
    }
    MyWV.prototype.onLoad = function () {
        if (this.webHost.length > 0) {
            if (this.webHost[this.webHost.length] != "/")
                this.webHost += "/";
        }
        else {
            console.error("需加载的容器页地址为空");
            return;
        }
        if (CC_JSB) {
            this.setWVUrl(this.webHost + "webviews/native_test.html");
        }
    };
    MyWV.prototype.loadTest = function () {
        if (CC_JSB) {
            this.msg.string += "jsb loadTest()\n";
            this.wv.evaluateJS("test()");
        }
    };
    MyWV.prototype.setWVUrl = function (url) {
        var handler = new cc.Component.EventHandler();
        handler.target = this.node;
        handler.component = "MyWV";
        handler.handler = "wvLoaded";
        handler.customEventData = "";
        this.wv.webviewEvents.push(handler);
        this.wv.url = url;
    };
    MyWV.prototype.wvLoaded = function (wv, et, data) {
        if (et === cc.WebView.EventType.LOADED) {
            this.msg.string += "加载完成\n";
            if (CC_JSB) {
                this.msg.string += "jsb 调用 页面test\n";
                this.wv.evaluateJS("test()");
            }
        }
        else if (et === cc.WebView.EventType.LOADING) {
            this.msg.string += "加载中\n";
        }
        else if (et === cc.WebView.EventType.ERROR) {
            console.error("加载时页面出错");
        }
    };
    __decorate([
        property(cc.WebView)
    ], MyWV.prototype, "wv", void 0);
    __decorate([
        property(cc.Label)
    ], MyWV.prototype, "msg", void 0);
    __decorate([
        property(cc.String)
    ], MyWV.prototype, "webHost", void 0);
    MyWV = __decorate([
        ccclass
    ], MyWV);
    return MyWV;
}(cc.Component));
exports.MyWV = MyWV;

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=MyWV.js.map
        